# SPDX-License-Identifier: MIT
%global archive_name %{lua:t=string.gsub(rpm.expand("%{default_fonts_foundry} %{fonts_family}"), "[%p%s]+", "_");print(t)}

%global source_version 20070413
%global source_release 37
%global source_url     http://www.greekfontsociety-gfs.gr/typefaces/16th_century

%global default_fonts_foundry      GFS
%global default_fonts_license      OFL
%global default_fonts_licenses     OFL.txt
%global default_fonts_docs         *.txt
%global default_fonts_docs_exclude %{default_fonts_licenses}

%global fonts_family             Complutum
%global fonts_summary            GFS Complutum, a 16th century Greek font family
%global fonts_fonts              *.otf
%global fonts_experimental_confs 61-%{fonts_name}.xml
%global fonts_description   %{expand:
The ancient Greek alphabet evolved during the millennium of the Byzantine era
from majuscule to minuscule form and gradually incorporated a wide array of
ligatures, flourishes and other decorative nuances which defined its
extravagant cursive character. Until the late 15th century, typographers who
had to deal with Greek text avoided emulating this complicated hand; instead
they would use only the twenty four letters of the alphabet separately, often
without accents and other diacritics.

A celebrated example is the type cut and cast for the typesetting of the New
Testament in the so-called Complutensian Polyglot Bible (1512), edited by the
Greek scholar, Demetrios Doukas. The type was cut by Arnaldo Guillén de Brocar
and the whole edition was a commission by cardinal Francisco Ximénez, in the
University of Alcalá (Complutum), Spain. It is one of the best and most
representative models of this early tradition in Greek typography which was
revived in the early 20th century by the eminent bibliographer of the British
Library, Richard Proctor. A font named Otter Greek was cut in 1903 and a book
was printed using the new type. The original type had no capitals so Proctor
added his own, which were rather large and ill-fitted. The early death of
Proctor, the big size of the font and the different aesthetic notions of the
time were the reasons that Otter Greek was destined to oblivion, as a
curiosity.

Greek Font Society incorporated Brocar’s famous and distinctive type in the
commemorative edition of Pindar’s Odes for the Athens Olympics (2004) and the
type with a new set of capitals, revived digitally by George D. Matthiopoulos,
is now available for general use.}

%global doc_licenses0 %{default_fonts_licenses}
%global doc_docs0     *pdf

%auto_init
%auto_pkg

%sourcelist
http://www.greekfontsociety-gfs.gr/_assets/fonts/%{archive_name}.zip
61-%{fonts_name}.xml
%auto_sources

%prep
%auto_prep
%setup -q -c -T
unzip -j -q %{_sourcedir}/%{archive_name}.zip
install -m 644 %{_sourcedir}/*xml .
%linuxtext *.txt

%build
%auto_build

%install
%auto_install

%check
%auto_check

%auto_files

%changelog
%auto_changelog
